from exceptions import Exception

PRODUCT = 'product'
PLATFORM = 'platform'
APPLICATION = 'application'

class GenericException(Exception):
    '''
    Generic class for 
    '''

    def __init__(self, category=PRODUCT ,root_exception = None, params=None):
        '''
        Construct the exception by passing the category(defaults to product, which is OrangeScape)
        '''
        Exception.__init__()
        
    def __str__(self):
        '''
        returns the string message from the base exception
        '''
        return self.root_exception.__str__()
        